package com.xisc.pm.infra.repository.impl;

import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmPlateSpecYieldBt;
import com.xisc.pm.domain.repository.PmPlateSpecYieldBtRepository;
import com.xisc.pm.infra.mapper.PmPlateSpecYieldBtMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 钢板轧制规格对应收得率基准表(PmPlateSpecYieldBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 16:29:24
 */
@Component
public class PmPlateSpecYieldBtRepositoryImpl extends BaseRepositoryImpl<PmPlateSpecYieldBt> implements PmPlateSpecYieldBtRepository {
    @Resource
    private PmPlateSpecYieldBtMapper pmPlateSpecYieldBtMapper;

    @Override
    public List<PmPlateSpecYieldBt> selectList(PmPlateSpecYieldBt pmPlateSpecYieldBt) {
        return pmPlateSpecYieldBtMapper.selectList(pmPlateSpecYieldBt);
    }

    @Override
    public PmPlateSpecYieldBt selectByPrimary(Long ppsybId) {
        PmPlateSpecYieldBt pmPlateSpecYieldBt = new PmPlateSpecYieldBt();
        pmPlateSpecYieldBt.setPpsybId(ppsybId);
        List<PmPlateSpecYieldBt> pmPlateSpecYieldBts = pmPlateSpecYieldBtMapper.selectList(pmPlateSpecYieldBt);
        if (CollectionUtils.isEmpty(pmPlateSpecYieldBts)) {
            return null;
        }
        return pmPlateSpecYieldBts.get(0);
    }
}
